// priority: 5

onEvent('item.tooltip', tooltip => {
    function removeUgly(id, textPart) {
        tooltip.addAdvanced(id, (item, advanced, text) => {
            text.removeIf(line => line.getString().includes(textPart))
        })
    }
    removeUgly("cataclysm:final_fractal", "It")
    removeUgly("cataclysm:final_fractal", "W.I.P")
    removeUgly("cataclysm:zweiender", "back of the target")
    removeUgly("cataclysm:zweiender", "W.I.P")
    removeUgly("cataclysm:the_incinerator", "Full")
    removeUgly("cataclysm:the_incinerator", "you")
    removeUgly("cataclysm:the_incinerator", "WARNING")
    removeUgly("cataclysm:infernal_forge", "cause wide area damage")
    removeUgly("cataclysm:infernal_forge", "FYI")
    removeUgly("cataclysm:monstrous_helm", "If")
    removeUgly("cataclysm:monstrous_helm", "gain")
    removeUgly("cataclysm:ignitium_helmet", "Lava")
    removeUgly("cataclysm:ignitium_leggings", "Flame")
    removeUgly("cataclysm:ignitium_boots", "Lava")
    removeUgly("cataclysm:ignitium_chestplate", "Can")
    removeUgly("cataclysm:gauntlet_of_guard", "pull entity")
    removeUgly("cataclysm:bulwark_of_the_flame", "If")
    removeUgly("cataclysm:bulwark_of_the_flame", "if")
    removeUgly("cataclysm:void_core", "when")
    removeUgly("projecte:gem_helmet", "Abyss")
    removeUgly("projecte:gem_helmet", "Press")
    removeUgly("projecte:gem_chestplate", "Infernal")
    removeUgly("projecte:gem_leggings", "Gravity")
    removeUgly("projecte:gem_boots", "Hurricane")
    removeUgly("projecte:gem_boots", "Press")
    removeUgly("superior_swords:evil_sword", "Gives")
    removeUgly("superior_swords:nature_sword", "Comes")
    removeUgly("yet_another_lightning_sword:lightningswordtool", "The sword has")
    removeUgly("superior_swords:soul_sword", "Gives")
    removeUgly("superior_swords:weak_dragon_sword", "the strongest")
    removeUgly("superior_swords:weak_god_sword", "White")
    removeUgly("superior_swords:weak_god_sword", "If you")
    removeUgly("superior_swords:weak_god_sword", "and use")
    removeUgly("superior_swords:oceanic_sword", "your self")
    removeUgly(/immersive_armors:divine_(helmet|chestplate|leggings|boots)/, "Can deflect a hit")
    removeUgly(/immersive_armors:divine_(helmet|chestplate|leggings|boots)/, "parts equipped")
    removeUgly(/immersive_armors:wither_(helmet|chestplate|leggings|boots)/, "Lets your attackers")
    removeUgly(/immersive_armors:prismarine_(helmet|chestplate|leggings|boots)/, "1 Spike Damage")
    removeUgly(/immersive_armors:prismarine_(helmet|chestplate|leggings|boots)/, "Depth Strider I")
    removeUgly(/immersive_armors:steampunk_(helmet|chestplate|leggings|boots)/, "10% Explosion Resistance")
    removeUgly("immersive_armors:steampunk_helmet", "A primitive radar")
    removeUgly("immersive_armors:steampunk_helmet", "the position")
    removeUgly("immersive_armors:steampunk_helmet", "entities")
    removeUgly("immersive_armors:steampunk_chestplate", "Never")
    removeUgly("immersive_armors:steampunk_chestplate", "again!")
    removeUgly("immersive_armors:steampunk_leggings", "Discharges")
    removeUgly("immersive_armors:steampunk_leggings", "for a double")
    removeUgly("immersive_armors:steampunk_boots", "Uses Steam")
    removeUgly("immersive_armors:steampunk_boots", "fall damage")
    removeUgly(/immersive_armors:robe_(helmet|chestplate|leggings|boots)/, "25% Fire Resistance")
    removeUgly(/immersive_armors:robe_(helmet|chestplate|leggings|boots)/, "10 Ticks")
    removeUgly(/immersive_armors:robe_(helmet|chestplate|leggings|boots)/, "20% Magic Resistance")
})